# Create a list Creates a new list from a Criteria object. Learn about the types of lists you can create. Endpoint: POST /v1/lists Version: 5.0.0.0 Security: api_key_bearer ## Request fields (application/json): - `Criteria` (array) For dynamic lists specifies the search criteria we use to fill and update the list. For static lists specifies the search that initially fills the list, but is not used after creation. Do not send for static lists. Example: [{"name":"State","value":["OR"]},{"name":"ZipFive","value":[97202,97212]},{"name":"Beds","value":[[6,null]]},{"name":"Pool","value":[1]},{"name":"PropertyType","value":[{"name":"PType","value":["SFR"]},{"name":"AdvancedPropertyType","value":["106","119","131"]}]}] - `Criteria.name` (string, required) - `Criteria.value` (any, required) - `Criteria.menuLabels` (array,null) - `Criteria.chipLabel` (string,null) - `ListName` (string, required) Name displayed and identifier for the list. Will be truncated to 50 chars - `ListType` (string) [Type of list](#tag/Lists) between dynamic, static and import. Enum: "dynamic", "static", "import" - `isMonitored` (integer) Whether monitoring, insights & automations are turned on or off. Enum: 0, 1 - `ImportSource` (string) For Import lists indicates the source of the import between file, zapier and api. Enum: "file", "zapier", "api" - `ImportMatchThreshold` (integer) For Import lists indicates the threshold to match against a property. Example: 27 - `ImportType` (string) For Import lists indicates if the list is focused on matching by property or by person. Enum: "property", "person" - `ImportContactOptions` (object) For Import lists indicates custom options which affect the match process when the import data includes person or company names. - `ImportContactOptions.add_as_primary_contact` (boolean) If an imported person is not found at the matched property, add them as a contact (primary). - `ImportContactOptions.set_as_primary_contact` (boolean) If an imported person is found at the matched property but is not primary, set them primary. - `GroupName` (string) Name of the list group. Example: "My Lists" ## Response 200 fields (application/json): - `results` (array) - `results.ListID` (integer) Unique identifier for the list. - `results.TotalCount` (string) The number of items in the list. Example: 27 ## Response 400 fields (application/json): - `error` (string) A simple explanation of the problem. Not for display to end users. - `eventid` (string) A code in the form xxx-xxx-xxx that can be used for troubleshooting. Also present in headers as X-Radar-Request-Id Example: "abc-123-def" - `message` (string) If present, an explanation suitable for display to end users - `messageTitle` (string) If present, a title suitable for display to end users